Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010692ScribusUndo/Redopublic2012-04-21 01:192012-08-02 21:49
ReporterVladimir Savic 
Assigned Tojghali 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version12.04
Product Version1.5.0svn 
Target Version1.5.0Fixed in Version1.5.0svn 
Summary0010692: Another crash on ungrouping
DescriptionImport attached file as vectors (not in graphic frame). Resize it to page borders. Use RMB to approach Ungroup function. Execute it. Observe how in-group graphic grows. Hit RMB again and - crash!
Additional Information(gdb) bt
#0 0x0000000000c48eba in UndoObject::getUId (this=0x0) at /home/vlada/Sources/Scribus/scribus/undoobject.cpp:66
0000001 0x0000000000c3ce6b in TransactionState::containsOnly (this=0x3e20540, uid=3156)
    at /home/vlada/Sources/Scribus/scribus/undomanager.cpp:716
0000002 0x0000000000c3abe7 in UndoManager::setState (this=0x187fcf0, gui=0x2c7b100, uid=3156)
    at /home/vlada/Sources/Scribus/scribus/undomanager.cpp:313
0000003 0x0000000000c3bfba in UndoManager::showObject (this=0x187fcf0, uid=3156)
    at /home/vlada/Sources/Scribus/scribus/undomanager.cpp:580
0000004 0x0000000000b6d75f in ScribusMainWindow::setUndoMode (this=0x17802e0, isObjectSpecific=true)
    at /home/vlada/Sources/Scribus/scribus/scribus.cpp:9550
0000005 0x00000000006f50b1 in ScribusMainWindow::qt_static_metacall (_o=0x17802e0, _c=QMetaObject::InvokeMetaMethod,
    _id=195, _a=0x7fffffffc910) at /home/vlada/Sources/Scribus_build/scribus/moc_scribus.cxx:610
0000006 0x00007ffff4a82281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000007 0x00007ffff5519192 in QAction::toggled(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000008 0x00007ffff5519219 in QAction::setChecked(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000009 0x0000000000c1644a in ScribusView::setObjectUndoMode (this=0x3df6e30)
    at /home/vlada/Sources/Scribus/scribus/scribusview.cpp:4106
0000010 0x00000000007f86d7 in CanvasMode_Normal::createContextMenu (this=0x4e864a0, currItem=0x4460620, mx=440,
    my=558.5454545454545) at /home/vlada/Sources/Scribus/scribus/canvasmode_normal.cpp:1414
0000011 0x00000000007f4770 in CanvasMode_Normal::mouseReleaseEvent (this=0x4e864a0, m=0x7fffffffd450)
    at /home/vlada/Sources/Scribus/scribus/canvasmode_normal.cpp:846
0000012 0x0000000000c16c49 in ScribusView::eventFilter (this=0x3df6e30, obj=0x3e47f00, event=0x7fffffffd450)
    at /home/vlada/Sources/Scribus/scribus/scribusview.cpp:4210
0000013 0x00007ffff4a6e028 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000014 0x00007ffff551f85f in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000015 0x00007ffff55250bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000016 0x00007ffff4a6de9c in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000017 0x00007ffff5520862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000018 0x00007ffff559fbf5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
---Type <return> to continue, or q <return> to quit---
0000019 0x00007ffff559ebae in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000020 0x00007ffff55c80e2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000021 0x00007ffff0b87c9a in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000022 0x00007ffff0b88060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000023 0x00007ffff0b88124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000024 0x00007ffff4a9d3bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000025 0x00007ffff55c7d6e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000026 0x00007ffff4a6cc82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000027 0x00007ffff4a6ced7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000028 0x00007ffff4a71f67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000029 0x000000000102b873 in mainApp (argc=1, argv=0x7fffffffe278)
    at /home/vlada/Sources/Scribus/scribus/main_nix.cpp:86
0000030 0x000000000102b800 in main (argc=1, argv=0x7fffffffe278) at /home/vlada/Sources/Scribus/scribus/main_nix.cpp:54
(gdb)
TagsNo tags attached.
Patch
Attached Filespdf file icon Alibunar.pdf [^] (1,220,217 bytes) 2012-04-21 01:19

- Relationships
has duplicate 0010413closedjghali Crash when operating with grouped objects 

-  Notes
(0027966)
jghali (administrator)
2012-04-21 13:11

Now i can reproduce!
(0028334)
jghali (administrator)
2012-06-30 17:33

The crash is fixed. Seems there are some other issues related to ungrouping of resized groups. But these are other issues....

- Issue History
Date Modified Username Field Change
2012-04-21 01:19 Vladimir Savic New Issue
2012-04-21 01:19 Vladimir Savic File Added: Alibunar.pdf
2012-04-21 13:11 jghali Note Added: 0027966
2012-04-21 13:12 jghali Relationship added has duplicate 0010413
2012-05-19 13:52 jghali Target Version => 1.5.0
2012-06-30 17:33 jghali Note Added: 0028334
2012-06-30 17:33 jghali Status new => resolved
2012-06-30 17:33 jghali Fixed in Version => 1.5.0svn
2012-06-30 17:33 jghali Resolution open => fixed
2012-06-30 17:33 jghali Assigned To => jghali
2012-08-02 21:49 cbradney Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker